#ifdef VHDL_TESTBENCH

/*
 * $Id$
 *
 * [ Description ]
 * 
 */

#include "Behavioural/include/Vhdl_Testbench.h"

#include <sstream>
using namespace std;

namespace morpheo              {
namespace behavioural          {
  
  void Vhdl_Testbench::get_label (void)
  {
    for (list<label_t>::iterator i = _list_label.begin(); i != _list_label.end(); i++)
      {
	_vhdl->set_body("");
	_vhdl->set_body("assert (not (testbench_counter = " + toString(i->_cycle)+"))");
	_vhdl->set_body("report \"***** "+i->_label+" *****\"");
	_vhdl->set_body("severity NOTE;");  
      }
  };
  
}; // end namespace behavioural          
}; // end namespace morpheo              

#endif
